%define srcname xf86-video-vesa
%define _modulesdir %_libdir/X11/modules

Name: xorg-x11-drv-vesa
Version: 1.3.0
Release: alt1
Serial: 1
Summary: Generic VESA video driver
License: MIT/X11
Group: System/X11

Url: http://xorg.freedesktop.org
Source: %srcname-%version.tar.bz2

Packager: XOrg Maintainer Team <xorg@packages.altlinux.org>

Provides: x11-driver-vesa
PreReq: xorg-x11-server-common >= 1.0.99.901

BuildRequires: pkg-config xorg-x11-sdk xorg-x11-proto-devel xorg-x11-util-macros

%description
vesa is an Xorg driver for generic VESA video cards.  It can
drive most VESA-compatible video cards, but only makes use of the basic
standard  VESA core that is common to these cards.  The driver supports
depths 8, 15 16 and 24.

%def_disable static

%prep
%setup -q -n %srcname-%version

%build
%__autoreconf
%configure \
	--with-xorg-module-dir=%_modulesdir \
	%{subst_enable static}

%make_build

%install
%make DESTDIR=%buildroot install

%files
%dir %_modulesdir/drivers
%_modulesdir/drivers/*.so
%_man4dir/*

%changelog
* Fri Dec 01 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.3.0-alt1
- 1.3.0

* Sat Oct 14 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.2-alt1
- 1.2.2

* Sat Jun 03 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.1-alt1
- 1.2.1

* Fri May 19 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.2.0-alt1
- 1.2.0

* Sat May 13 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.0-alt2
- prereq xorg-x11-server-common >= 1.0.99.901

* Fri Apr 21 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.1.0-alt1
- 1.1.0

* Mon Jan 23 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.1.3-alt2
- fixed requires

* Wed Dec 28 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.1.3-alt1
- Xorg-7.0

* Sun Dec 04 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.1.1-alt1
- Xorg-7.0RC3

* Sun Nov 27 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.0.1-alt0.1
- initial release

